## offpunk 1.10

=== requirements.txt ===
chardet
cryptography
requests
feedparser
bs4
readability-lxml
pillow
setproctitle
timg

## offpunk 1.9.2

=== debian/changelog ===
offpunk (1.9.2-1) unstable; urgency=medium

  * New upstream version 1.9.2
  * d/control: build depends on flit/pyproject.
    Upstream moved to PEP-517 source tree descriptor.

 -- Étienne Mollier <emollier@debian.org>  Mon, 13 Mar 2023 19:53:46 +0100

offpunk (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1
  * d/t/run-commands: test the "archive" command.
    The AttributeError previously encountered is now fixed upstream.

 -- Étienne Mollier <emollier@debian.org>  Thu, 09 Mar 2023 20:24:40 +0100

offpunk (1.9-1) unstable; urgency=medium

  * New upstream version 1.9
  * d/copyright: remove exclusion of debian/.
    The debian directory has been removed upstream.
  * d/watch: remove repack and version mangling.
    It is not necessary to append the +ds suffix to the version anymore.
  * d/manpages: use the now available upstream manual.
  * d/offpunk.1: delete; Debian manual now unneeded.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Mar 2023 21:58:28 +0100

offpunk (1.8+ds-2) unstable; urgency=medium

  * Migrate Offpunk to unstable.
  * d/watch: check for 'v' prefix in release/tags page.
    While uscan from unstable will catch the package appropriately, the
    uscan version which actually scans for newer upstream versions on a
    regular basis is a wee bit older and doesn't yet include this prefix
    in the @ANY_VERSION@ macro.
  * d/control: point to the Homepage, not the source.
  * d/upstream/metadata: file added.
    Document where to find upstream source code, the bug database and how
    to submit new tickets.

 -- Étienne Mollier <emollier@debian.org>  Fri, 03 Mar 2023 13:05:39 +0100

offpunk (1.8+ds-1) experimental; urgency=medium

  * Initial release.  (Closes: #1031939)

 -- Étienne Mollier <emollier@debian.org>  Sun, 26 Feb 2023 10:02:26 +0100

=== debian/control ===
Source: offpunk
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Étienne Mollier <emollier@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               flit,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.2
Homepage: https://sr.ht/~lioploum/offpunk
Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git
Rules-Requires-Root: no

Package: offpunk
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         less,
         python3-cryptography
Recommends: xdg-utils,
            python3-requests,
            python3-feedparser,
            python3-bs4,
            python3-readability,
            python3-setproctitle
Suggests: chafa,
          timg,
          xsel
Description: CLI and offline-first smolnet browser for Gemini, Gopher, etc
 Offpunk is a command-line browser and feed reader dedicated to browsing the
 Web, Gemini, Gopher and Spartan. Thanks to its permanent cache, it is
 optimised to be used offline with rare connections but works as well when
 connected.
 .
 Offpunk is optimised for reading and supports readability mode, displaying
 pictures, subscribing to pages or RSS feeds, managing complex lists of
 bookmarks. Its integrated help and easy commands make it a perfect tool for
 command-line novices while power-users will be amazed by its shell
 integration.

=== debian/tests/control ===
# Test the package in --no-recommends conditions.
Tests: run-commands
Depends: @
Restrictions: allow-stderr

# Do the same as before, with recommended packages.
Tests: run-commands
Depends: @,
         xdg-utils,
         python3-requests,
         python3-feedparser,
         python3-bs4,
         python3-readability,
         python3-setproctitle
Restrictions: allow-stderr

# Do the same as before, with suggested packages.
Tests: run-commands
Depends: @,
         xdg-utils,
         python3-requests,
         python3-feedparser,
         python3-bs4,
         python3-readability,
         python3-setproctitle,
         chafa,
         timg,
         xsel
Restrictions: allow-stderr

## offpunk 1.10

=== debian/changelog ===
offpunk (1.10-1) unstable; urgency=medium

  * New upstream version 1.10
  * d/copyright: update and obfuscate upstream email.
  * d/control: recommend python3-chardet.
  * d/t/control: update test dependencies accordingly.
  * d/install: provide migrate-offpunk-cache.
  * d/NEWS: highlight migrate-offpunk-cache use.
  * d/m/migrate-offpunk-cache.1: document cache migration.
  * d/manpages: also provide migrate-offpunk-cache(1).
  * d/t/run-commands: test migrate-offpunk-cache.

 -- Étienne Mollier <emollier@debian.org>  Fri, 11 Aug 2023 11:04:48 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,8 @@
             python3-feedparser,
             python3-bs4,
             python3-readability,
-            python3-setproctitle
+            python3-setproctitle,
+            python3-chardet
 Suggests: chafa,
           timg,
           xsel

=== debian/tests/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
          python3-feedparser,
          python3-bs4,
          python3-readability,
-         python3-setproctitle
+         python3-setproctitle,
+         python3-chardet
 Restrictions: allow-stderr
 
-# Do the same as before, with suggested packages.
+# Do the same as before, with recommended and suggested packages.
 Tests: run-commands
 Depends: @,
          xdg-utils,
@@ -23,6 +24,7 @@
          python3-bs4,
          python3-readability,
          python3-setproctitle,
+         python3-chardet,
          chafa,
          timg,
          xsel

=== debian/watch ===
version=4
opts=" \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.(.*)%@PACKAGE@-$1.tar.$2% \
" \
https://git.sr.ht/~lioploum/offpunk/refs \
.*/offpunk/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## offpunk 2.2

=== requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 pillow
 setproctitle
 timg
+file

=== debian/changelog ===
offpunk (2.2-1) unstable; urgency=medium

  * New upstream version 2.2
  * d/copyright: update copyright year.
  * d/t/run-commands: update to new netcache output.
    The "Download" line disappeared for local files.

 -- Étienne Mollier <emollier@debian.org>  Tue, 13 Feb 2024 21:15:39 +0100

offpunk (2.1-1) unstable; urgency=medium

  * New upstream version 2.1

 -- Étienne Mollier <emollier@debian.org>  Wed, 13 Dec 2023 17:02:48 +0100

offpunk (2.0-1) unstable; urgency=medium

  * New upstream version 2.0
  * Migrate from experimental to unstable following end of the beta.
  * d/copyright: change license to AGPL-3.
    This follows upstream change, and also applies to the packaging.
  * d/{,t/}control: demote requests as recommendation.
    The bug in the beta version that made it mandatory is fixed.
  * d/control: add dependency on `file`.
  * d/t/run-commands: extend tests to new commands.
    The new tests now cover the newly introduced commands netcache,
    ansicat, and opnk.
  * d/t/run-commands: test offpunk's theme command.

 -- Étienne Mollier <emollier@debian.org>  Thu, 16 Nov 2023 21:45:10 +0100

offpunk (2.0~beta2-0+exp1) experimental; urgency=medium

  * New upstream version 2.0~beta2
  * d/watch: mangle beta versions.
  * d/control: replace flit by python3-hatchling.
  * d/install: remove: migration script removed.
  * d/NEWS: remove: migration script removed.
    The steps to proceed to the migration of the offpunk cache have been
    automated on program startup, so the notice does not apply anymore for
    version bumps like 1.9 to 2.0.
  * d/m/migrate-offpunk-cache.1: not needed anymore.
  * d/manpages: remove maintainer manual pages.
  * d/t/run-commands: remove migration script test.
  * d/control: promote python3-requests as Dependency.
  * d/t/control: remove dependency on requests.
    The python3-requests package will now be pulled automatically by
    offpunk for autopkgtesting.
  * d/copyright: "bump" upstream contact address.
  * d/copyright: update upstream copyright year.

 -- Étienne Mollier <emollier@debian.org>  Wed, 08 Nov 2023 13:24:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
-               flit,
                pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling,
                python3-setuptools
 Standards-Version: 4.6.2
 Homepage: https://sr.ht/~lioploum/offpunk
@@ -19,12 +19,13 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          less,
-         python3-cryptography
+         file,
+         python3-cryptography,
 Recommends: xdg-utils,
-            python3-requests,
             python3-feedparser,
             python3-bs4,
             python3-readability,
+            python3-requests,
             python3-setproctitle,
             python3-chardet
 Suggests: chafa,

=== debian/tests/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Tests: run-commands
 Depends: @,
          xdg-utils,
-         python3-requests,
          python3-feedparser,
          python3-bs4,
          python3-readability,
+         python3-requests,
          python3-setproctitle,
          python3-chardet
 Restrictions: allow-stderr
@@ -19,10 +19,10 @@
 Tests: run-commands
 Depends: @,
          xdg-utils,
-         python3-requests,
          python3-feedparser,
          python3-bs4,
          python3-readability,
+         python3-requests,
          python3-setproctitle,
          python3-chardet,
          chafa,

## offpunk 2.3

=== debian/changelog ===
offpunk (2.3-1) unstable; urgency=medium

  * New upstream version 2.3
  * fix-python3.12-warning.patch: applied upstream.
  * d/control: suggest xclip and wl-clipboard.
  * d/t/control: last test depends on xclip and wl-clipboard.

 -- Étienne Mollier <emollier@debian.org>  Sun, 30 Jun 2024 23:57:45 +0200

offpunk (2.2-2) unstable; urgency=medium

  * fix-python3.12-warning.patch: new.
    This patch fixes a syntax warning in the less prompt.  (Closes: #1064209)
  * d/control: demote python3-cryptography as recommendation.
    While important, this dependency is not strictly needed, and this
    change facilitates installability of offpunk on architectures that do
    support rust yet, on which the module cryptography depends.
  * d/t/control: reflect dependency change in tests.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Mar 2024 15:58:24 +0100

=== debian/control ===
--- 
+++ 
@@ -19,9 +19,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
          less,
-         file,
-         python3-cryptography,
+         file
 Recommends: xdg-utils,
+            python3-cryptography,
             python3-feedparser,
             python3-bs4,
             python3-readability,
@@ -30,6 +30,8 @@
             python3-chardet
 Suggests: chafa,
           timg,
+          wl-clipboard,
+          xclip,
           xsel
 Description: CLI and offline-first smolnet browser for Gemini, Gopher, etc
  Offpunk is a command-line browser and feed reader dedicated to browsing the

## offpunk 2.4

=== debian/changelog ===
offpunk (2.4-1) unstable; urgency=medium

  * New upstream version 2.4
  * d/control: update Homepage to https://offpunk.net.
  * d/control: declare compliance to standards version 4.7.0.
  * d/patches/update-*-manual.patch: freshen all manual pages.

 -- Étienne Mollier <emollier@debian.org>  Mon, 25 Nov 2024 22:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                python3-all,
                python3-hatchling,
                python3-setuptools
-Standards-Version: 4.6.2
-Homepage: https://sr.ht/~lioploum/offpunk
+Standards-Version: 4.7.0
+Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git
 Rules-Requires-Root: no

## offpunk 2.5

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 feedparser
 bs4
 readability-lxml
+lxml-html-clean
 pillow
 setproctitle
 timg

=== debian/changelog ===
offpunk (2.5-1) unstable; urgency=medium

  * New upstream version 2.5
  * d/patches: delete all patches: they are applied upstream.
  * d/control: enable newly introduced unit tests via pytest.
    This also allows for autopkgtest-pkg-pybuild support.
  * offpunk-manual.patch: new: add --config-file description in the manual.

 -- Étienne Mollier <emollier@debian.org>  Sun, 02 Feb 2025 20:18:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               less <!nocheck>,
                pybuild-plugin-pyproject,
                python3-all,
                python3-hatchling,
-               python3-setuptools
+               python3-setuptools,
+               python3-pytest <!nocheck>,
+               python3-pytest-mock <!nocheck>
 Standards-Version: 4.7.0
 Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: offpunk
 Architecture: all

## offpunk 2.6

=== debian/changelog ===
offpunk (2.6-1) unstable; urgency=medium

  * New upstream version 2.6
  * d/salsa-ci.yml: new: define CI from within the package.
  * d/control: declare compliance to standards version 4.7.1.
  * offpunk-manual.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Mon, 24 Feb 2025 20:08:07 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git

## offpunk 2.7.1

=== debian/changelog ===
offpunk (2.7.1-1) unstable; urgency=medium

  * New upstream version 2.7.1
  * undo-leftover-aprils-fool.patch: delete: applied upstream.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Apr 2025 18:53:53 +0200

offpunk (2.7-1) unstable; urgency=medium

  * New upstream version 2.7 - "April's fool release"  :)
  * d/copyright: full copyright review to account for some independent
    contributions properly.
  * undo-leftover-aprils-fool.patch: make the tutorial less confusing
    when taken outside April's fool context.
  * d/control: declare compliance to standards version 4.7.2.
  * d/t/run-commands: add a check for the new xkcd command.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Apr 2025 10:25:18 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Tests: run-commands
 Depends: @,
          xdg-utils,
+         python3-cryptography,
          python3-feedparser,
          python3-bs4,
          python3-readability,
@@ -19,6 +20,7 @@
 Tests: run-commands
 Depends: @,
          xdg-utils,
+         python3-cryptography,
          python3-feedparser,
          python3-bs4,
          python3-readability,
@@ -27,5 +29,7 @@
          python3-chardet,
          chafa,
          timg,
+         wl-clipboard,
+         xclip,
          xsel
 Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=" \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.(.*)%@PACKAGE@-$1.tar.$2% \
,uversionmangle=s%-beta%~beta% \
" \
https://git.sr.ht/~lioploum/offpunk/refs \
.*/offpunk/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## offpunk 2.8

=== requirements.txt ===
--- 
+++ 
@@ -5,7 +5,6 @@
 bs4
 readability-lxml
 lxml-html-clean
-pillow
 setproctitle
 timg
 file

=== debian/changelog ===
offpunk (2.8-1) unstable; urgency=medium

  * New upstream version 2.8
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 watch file.

 -- Étienne Mollier <emollier@debian.org>  Thu, 13 Nov 2025 16:31:35 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: offpunk

=== debian/watch ===
Version: 5

Source: https://git.sr.ht/~lioploum/offpunk/refs
Matching-Pattern: .*/offpunk/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.(.*)%@PACKAGE@-$1.tar.$2%
UVersion-Mangle: s%-beta%~beta%

## offpunk 3.0

=== debian/changelog ===
offpunk (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * d/copyright: review following new release.
  * xkcdpunk.1-groff-message.patch: new.
    Fix a slight misrendering in man/xkcdpunk.1.
  * xkcdpunk.1-typo.patch: new: fix a typo.
  * unmerdify-manual.patch: new: provide unmerdify.1 manual.
  * offpunk-features.patch: new: fix --features argument.
  * d/t/run-commands: adjust to offpunk version 3.0.
    Tutorials moved from doc/ to tutorial/ and opnk has been deprecated in
    favor of openk.
  * d/control: offpunk depends on python3-lxml.
  * d/control: drop redundant Priority: optional.
  * d/control: declare compliance to standards version 4.7.3.

 -- Étienne Mollier <emollier@debian.org>  Wed, 11 Feb 2026 22:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Étienne Mollier <emollier@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
                less <!nocheck>,
@@ -10,9 +9,10 @@
                python3-all,
                python3-hatchling,
                python3-setuptools,
+               python3-lxml <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-mock <!nocheck>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://offpunk.net/
 Vcs-Git: https://salsa.debian.org/python-team/packages/offpunk.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/offpunk.git
@@ -21,6 +21,7 @@
 Package: offpunk
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
+         python3-lxml,
          less,
          file
 Recommends: xdg-utils,
